Subject: Re: [TLS] Comments on draft-ietf-tls-tls13-18
From: Watson Ladd <[email-masked]>
To: Martin Thomson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 1 Nov 2016 21:57:19 -0700
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

On Tue, Nov 1, 2016 at 9:30 PM, Martin Thomson <[email-masked]> wrote:
> On 2 November 2016 at 02:45, Watson Ladd <[email-masked]> wrote:
>>
>> That sounds good. The more we can turn bugs into ones that violate the
>> spec, the easier it will be to get them fixed. (Hopefully)
>
> failure to interoperate >> violate the spec
>
> I know that NSS rejects multiple HRRs.  I expect that Boring does too
> (couldn't be bothered to check).  That means you have to be even
> lazier than I am with interop testing to make this mistake :)

A conforming client will not produce Client Hellos that trigger
multiple HRRs: it will listen the first time.

-- 
"Man is born free, but everywhere he is in chains".
--Rousseau.